Bug 692422 - Regression with PDF/A generation in 9.04
Summary: Regression with PDF/A generation in 9.04
Status: NOTIFIED FIXED
Alias: None
Product: Ghostscript
Classification: Unclassified
Component: PDF Writer (show other bugs)
Version: master
Hardware: PC All
: P2 normal
Assignee: Ken Sharp
QA Contact: Bug traffic
URL:
Keywords:
: 692474 692768 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-08-11 07:25 UTC by Marcos H. Woehrmann
Modified: 2011-12-31 13:54 UTC (History)
3 users (show)

See Also:
Customer: 670
Word Size: ---


Attachments
Preliminary patch (1.49 KB, patch)
2011-08-11 15:02 UTC, Ken Sharp
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcos H. Woehrmann 2011-08-11 07:25:53 UTC
The customer reports and I've verified the the PDF/A file generated by Ghostscript from the input PDF does not pass Adobe Acrobat 10.1.0 preflight.  Earlier versions of Ghostsript, including 9.01 and 9.02 generate PDF/A files that pass.  

The command line:

bin/gs -dPDFA -dUseCIEColor -sDEVICE=pdfwrite -dPDFACompatibilityPolicy=1 -dNOPAUSE -r600 -dBATCH -sOutputFile=out.pdf preblue.pdf

Acrobat reports "Metadata missing (XMP)" and "PDF/A entry missing" as the preflight errors.

Note that the generated file never passes PDF/A-1a nor PDF/A-2a, b, or u compliance verification, but the output file is PDF/A-1b compliant with 9.01 and 9.02

I'm not sure how to bisect this issue, since I don't have a command line PDF/A validator.
Comment 3 Ken Sharp 2011-08-11 14:13:12 UTC
(In reply to comment #0)
> The customer reports and I've verified the the PDF/A file generated by
> Ghostscript from the input PDF does not pass Adobe Acrobat 10.1.0 preflight. 
> Earlier versions of Ghostsript, including 9.01 and 9.02 generate PDF/A files
> that pass. 

I cannot reproduce this, at least not under Windows. I'm using the latest copy of the master code, freshly cleaned and built, and a Windows version of the supplied command line (ie exactly the same but using gswin32c instead of gs).

The file produced validates happily as PDF/A-1b in Acrobat 9 and also on the same website as shown in the JPEG above.
  

> Note that the generated file never passes PDF/A-1a nor PDF/A-2a, b, or u
> compliance verification, but the output file is PDF/A-1b compliant with 9.01
> and 9.02

Currently we do not support PDF/A-1a nor any flavour of PDF/A-2.
Comment 5 Ken Sharp 2011-08-11 15:02:13 UTC
Created attachment 7774 [details]
Preliminary patch

Examining the PDF files supplied by the customer I can see the fault, and I *may* see what is causing it, though I'm puzzled as to why it isn't a problem on Windows. 

I'm running a regression test for safety, but I think the attached patch will probably fix the problem. However, since it won't go wrong for me in the first place, it would be very useful if someone who can reproduce the problem would try it and let me know if it solves the validation error.
Comment 6 Ken Sharp 2011-08-15 07:00:21 UTC
Patch applied as revision 'f369ae5a30143cdfc27df96de9b1b5bab1c72c6f'. Patch is available here:

http://ghostscript.com/pipermail/gs-cvs/2011-August/013294.html
Comment 7 Ken Sharp 2011-08-29 14:12:06 UTC
*** Bug 692474 has been marked as a duplicate of this bug. ***
Comment 8 Ken Sharp 2011-12-14 17:11:53 UTC
*** Bug 692742 has been marked as a duplicate of this bug. ***
Comment 9 William Fausser 2011-12-15 11:34:54 UTC
(In reply to comment #8)
> *** Bug 692742 has been marked as a duplicate of this bug. ***

I applied the patch, recompiled making a new gs and the validation now
passes in Acrobat Adobe preflight 9.x but NOT in Adobe Acrobat 10.x

giving the error as stated in bug 692742 which I feel is not a duplicate.
Comment 10 Ken Sharp 2011-12-31 13:54:09 UTC
*** Bug 692768 has been marked as a duplicate of this bug. ***